IcedTea-Web NetX

## net.sourceforge.jnlp.event
Interface DownloadListener

All Superinterfaces:
  java.util.EventListener

    public interface DownloadListener

extends java.util.EventListener

The listener that is notified of the state of resources being downloaded by a ResourceTracker. Events may be delivered on a background thread, and the event methods should complete quickly so that they do not slow down other downloading in progress by tying up a thread.

Method Summary
`void` `downloadCompleted(DownloadEvent downloadEvent)` Called when a download completed or there was an error.
`void` `downloadStarted(DownloadEvent downloadEvent)` Called when a download starts.
`void` `updateStarted(DownloadEvent downloadEvent)` Called when a resource is checked for being up-to-date.

Method Detail

### updateStarted

    void updateStarted(DownloadEvent downloadEvent)

  Called when a resource is checked for being up-to-date.

### downloadStarted

    void downloadStarted(DownloadEvent downloadEvent)

  Called when a download starts.

### downloadCompleted

    void downloadCompleted(DownloadEvent downloadEvent)

  Called when a download completed or there was an error.

IcedTea-Web NetX

Submit a bug or feature